<? $DEFINITIONS = Zend_Registry::get('defines') ?>
<? $this->layout()->disableLayout() ?>

<style type="text/css">
	#r-tabs { margin: -10px }
</style>

<form class="form-common" action="<?= $this->baseUrl() ?>/reviews/edit" method="post" id="agency">
	<input type="hidden" name="esc_id" value="<?= $this->data->escort_id ?>" />
	<input type="hidden" name="id" value="<?= $this->data->id ?>" />
	<input type="hidden" name="user_id" value="<?= $this->data->user_id ?>" />
	<input type="hidden" name="status" value="<?= $this->data->status ?>" />
	<input type="hidden" name="is_deleted" value="<?= $this->data->is_deleted ?>" />
	
	<div id="r-tabs">
		<!-- >>> MooTabs Tab Items -->
		<ul class="mootabs_title">
			<li title="general"><span>General Info</span></li>
			<li title="meeting_rating"><span>Meeting And Rating</span></li>
			<li title="services"><span>Services</span></li>
			<li title="review"><span>Review</span></li>
			<li title="add_info"><span>User Additional Info</span></li>
		</ul>
		<!-- <<< -->

		<div id="general" class="mootabs_panel">
			<?php if ($this->data->is_deleted): ?>
				<fieldset class="fleft mr5 mt5 w588 deleted">
					<div class="fs15">This review has been deleted in <strong><?= date('d M, Y', $this->data->deleted_date) ?></strong>.</div>
					<div class="mt5">Reason: <strong><?= $this->data->reason ?></strong></div>
				</fieldset>
			<?php endif; ?>

			<?php if ($this->data->is_suspicious): ?>
				<fieldset class="fleft mr5 mt5 w588 deleted">
					<div class="fs15 red">Suspicious: <strong><?= $DEFINITIONS['review_suspicious_options'][$this->data->is_suspicious] ?></strong></div>
				</fieldset>
			<?php endif; ?>

			<fieldset class="fleft m5-5-14-0 w588">
				<div class="fs15">Member <strong><a href="#" id="r_member"><?= $this->data->username ?></a></strong> wrote a review about escort <strong><a href="#" id="r_escort"><?= $this->data->showname ?></a></strong>.</div>
				<div class="mt10">
					<div class="mr20 fleft">IP: <strong><?= $this->data->ip ? $this->data->ip : '-' ?></strong></div>
					<div class="mr20 fleft">Status: <strong><?= $DEFINITIONS['review_status_options'][$this->data->status] ?></strong></div>
					<div class="fleft">Escort Last IP: <strong><?= $this->last_ip ? $this->last_ip : '-' ?></strong></div>
					
					<div class="clear"></div>
				</div>

				<label for="e_is_fake_free" style="padding-left: 0; margin-top: 10px;">
					<input type="checkbox" name="is_fake_free" id="e_is_fake_free" value="1" <?php if ($this->data->is_fake_free): ?>checked="checked"<?php endif; ?> />
					<span>Fake free</span>
				</label>

				<ul class="p10-20">
					<li class="pb5">Meeting Date: <strong><?= $this->data->meeting_date ? date('d M, Y', $this->data->meeting_date) : '-' ?></strong></li>
					<li class="pb5">Creation Date: <strong><?= date('d M, Y', $this->data->creation_date) ?></strong></li>
					<?php if ($this->data->last_modified): ?>
					<li class="pb5">Modification Date: <strong><?= $this->data->last_modified ? date('d M, Y', $this->data->last_modified) : '-' ?></strong></li>
					<?php endif; ?>
					<li class="pb5">City: <strong><?= $this->data->city ?></strong></li>
					<li class="pb5">City is in escort profile: <strong><?= $this->data->city_is_in_escort_profile ? 'Yes' : 'No' ?></strong></li>
					<li class="pb5">Fuckometer: <strong><?= $this->data->fuckometer ?></strong></li>
				</ul>
								
				<div class="clear"></div>
			</fieldset>
		</div>

		<div id="meeting_rating" class="mootabs_panel">
			<fieldset class="fleft m5-5-14-0 w588">
				<div class="inner mr40">
					<label for="place">Meeting Place</label>
					<select name="place" class="w16" id="place">
						<? foreach ( $DEFINITIONS['meeting_place_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->meeting_place == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<div class="inner mr40">
					<label for="duration">Duration</label>
					<input class="txt w5" type="text" id="duration" name="duration" value="<?= $this->data->duration ?>" />
					<select name="duration_unit">
						<? foreach ( $DEFINITIONS['time_unit_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->duration_unit == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<div class="inner">
					<label for="price">Costs</label>
					<input class="txt w5" type="text" id="price" name="price" value="<?= $this->data->price ?>" />
					<select name="currency" disabled="disabled">
						<? $currencies = Cubix_Currency::getCurrencies(); ?>
						<? foreach ( $currencies as $cur ): ?>
							<option value="<?= $cur->id ?>" <?= ( $this->data->currency == $cur->id ) ? 'selected="selected"' : '' ?>><?= $cur->title ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<div class="inner mr40">
					<label for="looks_rating">Looks</label>
					<select name="looks_rating" class="w5" id="looks_rating">
						<? for ( $i = 0; $i <= 10; $i = $i + 0.5 ): ?>
							<option value="<?= $i ?>" <?= ( $this->data->looks_rating == $i ) ? 'selected="selected"' : '' ?>><?= $i ?></option>
						<? endfor; ?>
					</select>
				</div>

				<div class="inner">
					<label for="services_rating">Services</label>
					<select name="services_rating" class="w5" id="services_rating">
						<? for ( $i = 0; $i <= 10; $i = $i + 0.5 ): ?>
							<option value="<?= $i ?>" <?= ( $this->data->services_rating == $i ) ? 'selected="selected"' : '' ?>><?= $i ?></option>
						<? endfor; ?>
					</select>
				</div>

				<div class="popup-ver-hr"></div>

				<div class="inner">
					<label for="sms_status">SMS Status</label>
					<select name="sms_status" class="w12" id="sms_status">
						<? foreach ( $DEFINITIONS['sms_status_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->sms_status == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>
				<div class="clear"></div>
			</fieldset>
		</div>

		<div id="services" class="mootabs_panel">
			<fieldset class="fleft m5-5-14-0 w588">
				<div class="inner review">
					<label for="kissing" class="review-services">Kissing</label>
					<select name="kissing" class="w16" id="kissing" style="float: left">
						<? foreach ( $DEFINITIONS['kissing_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->s_kissing == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<div class="inner review">
					<label for="blowjob" class="review-services">Blowjob</label>
					<select name="blowjob" class="w16" id="blowjob" style="float: left">
						<? foreach ( $DEFINITIONS['blowjob_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->s_blowjob == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<div class="inner review">
					<label for="cumshot" class="review-services">Cumshot</label>
					<select name="cumshot" class="w16" id="cumshot" style="float: left">
						<? foreach ( $DEFINITIONS['cumshot_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->s_cumshot == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<div class="inner review">
					<label for="69" class="review-services">69</label>
					<select name="s_69" class="w16" id="69" style="float: left">
						<? foreach ( $DEFINITIONS['y_n_na_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->s_69 == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<div class="inner review">
					<label for="anal" class="review-services">Anal</label>
					<select name="anal" class="w16" id="anal" style="float: left">
						<? foreach ( $DEFINITIONS['y_n_na_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->s_anal == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<div class="inner review">
					<label for="sex" class="review-services">Sex</label>
					<select name="sex" class="w16" id="sex" style="float: left">
						<? foreach ( $DEFINITIONS['sex_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->s_sex == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<div class="inner review">
					<label for="attitude" class="review-services">Attitude</label>
					<select name="attitude" class="w16" id="attitude" style="float: left">
						<? foreach ( $DEFINITIONS['attitude_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->s_attitude == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<div class="inner review">
					<label for="conversation" class="review-services">Conversation</label>
					<select name="conversation" class="w16" id="conversation" style="float: left">
						<? foreach ( $DEFINITIONS['conversation_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->s_conversation == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<div class="inner review">
					<label for="breast" class="review-services">Breast</label>
					<select name="breast" class="w16" id="breast" style="float: left">
						<? foreach ( $DEFINITIONS['breast_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->s_breast == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<div class="inner review">
					<label for="multiple_times_sex" class="review-services">Multiple times sex</label>
					<select name="multiple_times_sex" class="w16" id="multiple_times_sex" style="float: left">
						<? foreach ( $DEFINITIONS['y_n_dn_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->s_multiple_sex == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<div class="inner review">
					<label for="availability" class="review-services">Availability</label>
					<select name="availability" class="w16" id="availability" style="float: left">
						<? foreach ( $DEFINITIONS['availability_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->s_availability == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<div class="inner review">
					<label for="photos" class="review-services">Photos</label>
					<select name="photos" class="w16" id="photos" style="float: left">
						<? foreach ( $DEFINITIONS['photos_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->s_photos == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>
				
				<div class="inner review">
					<label for="comments">Services Comments</label>
					<textarea class="txt w574 h4" name="services_comments" id="comments"><?= $this->data->services_comments ?></textarea>
				</div>
				<div class="clear"></div>
			</fieldset>
		</div>

		<div id="review" class="mootabs_panel">
			<fieldset class="fleft m5-5-14-0 w588">
				<legend for="review">Review</legend>

				<div class="inner review">
					<textarea class="txt w574 h15" name="review" id="review"><?= $this->data->review ?></textarea>
				</div>
				<div class="clear"></div>
			</fieldset>
		</div>

		<div id="add_info" class="mootabs_panel">
			<fieldset class="fleft m5-5-14-0 w588">
				<ul class="p10-20">
					<li class="pb5">User Info: <strong><?= $this->data->t_user_info ? $this->data->t_user_info : '-' ?></strong></li>
					<li class="pb5">Meeting Date: <strong><?= $this->data->t_meeting_date ? $this->data->t_meeting_date : '-' ?></strong></li>
					<li class="pb5">Meeting Place: <strong><?= $this->data->t_meeting_place ? $this->data->t_meeting_place : '-' ?></strong></li>
					<li class="pb5">Comments: <strong><?= $this->data->t_comments ? $this->data->t_comments : '-' ?></strong></li>
				</ul>
			</fieldset>
		</div>

		<div class="clear"></div>
	</div>
</form>